namespace Syntriax.Engine.Serialization;

public class TypeContainer
{
    public string Type { get; set; } = string.Empty;

    public TypeContainer() { }
    public TypeContainer(Type type) { Type = type.FullName ?? string.Empty; }
    public TypeContainer(object? value) { Type = value?.GetType().FullName ?? string.Empty; }
}
